#include<iostream>

using namespace std;
int main(){
long long int L,R,n,t;
int p,q,r,p1,q1,r1;

cin>>p;
cin>>q;
cin>>r;
cin>>L;
cin>>R;
t=0;
n=L;
while(n<=R){
	p1=0;
	q1=0;
	r1=0;
	if(n%p!=0){
		p1=n/p+1;
	}
	if(n%q!=0){
		q1=n/p+1;
	}
	if(n%r!=0){
		r1=n/p+1;
	}
	if(p1+q1+r1<=n){
	t++;
}
n++;	
}
cout<<t;
}